

#ifndef DEPTH_BASED_MVP_H
#define DEPTH_BASED_MVP_H

#include "global.h"
#include "mbuffer.h"

#if !MTK_SKIP_DIRECT_A0045
#define NUM_OF_MV_GROUP             3
#define NUM_OF_INIT_CANDIDATE_MVP   8
#endif

extern void check_neighbors(Macroblock* currMB,PixelPos* block,PicMotionParams** mv_info,int list,int ref);

#if !MTK_SKIP_DIRECT_A0045
extern void get_pre_dir(Macroblock* currMB,const PixelPos *mb,PicMotionParams**mv_info,int list_idx,int* direction);
extern void alloc_depth_based_mvp_buffer(Slice* currSlice);
extern void reset_depth_based_mvp_params(Macroblock* currMB);
extern void free_depth_based_mvp_buffer(Slice* currSlice);
extern void prepare_mvc_skip_params(Macroblock* currMB);
extern void prepare_mvc_direct_params(Macroblock *currMB);
#endif

#endif

